:root {
    --dark-color: #000000;
    --alternate-bg: #212121;
    --text-color: #ffffff;
    --brown-bg: rgba(102,76,40, .6);
    --dark-brown: #422A14;
}

a {
  text-decoration: none;
  color: inherit; /* Makes the link inherit the color of its parent element */
}

p{
    margin: 0px;
    padding: 0px;
}

.flex-center{
    display: flex;
    align-items: center;
    justify-content: center;
}

.flex-between{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.hunnit-width{
    width: 100%;
}

.menu-arrow{
    width: 15px;
    height: 15px;
    margin-left: 10px;
}

.sub-menu{
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: var(--alternate-bg);
    transform: translateY(100%);
    min-width: 220px;
    opacity: 0;
    transition-duration: 300ms;
    pointer-events: none;
}

.sub-button{
    padding: 20px 10px;
    transition-duration: 300ms;
    display: block;
}

.sub-button:hover{
    background-color: #ffffff;
    color: #000000;
}

.show{
    opacity: 1;
    pointer-events: all;
}

body {
    background-image: url("/assets/global/WalnutWood2.webp");
    background-size: auto;
    background-repeat: repeat;
    background-attachment: fixed;
    padding: 0px;
    margin: 0px;

    color: var(--text-color);

    font-family: "Raleway", Helvetica, sans-serif;
    font-weight: 400;
    font-size: 1.2rem;

    max-width: 100vw;
    overflow-x: hidden;
    /* backdrop-filter: brightness(85%); */
}

.text-shadow{
    text-shadow: 4px 4px 8px rgba(0, 0, 0, 1);
}

.huge-text{
    font-size: 5.5rem;
    font-weight: 400;
}

.off-page-header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 20px;
    background-color: var(--dark-color);
    border-bottom: 4px solid var(--dark-brown);
}

.off-page-img{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.semi-huge-text{
    font-size: 2.39rem;
    font-weight: 400;
}

.text-center{
    text-align: center;
}

h1 {
    font-family: "Raleway", Helvetica, sans-serif;
    font-weight: normal;
    font-size: 3.5rem;
    margin: 0px;
}

h2 {
    font-family: "Raleway", Helvetica, sans-serif;
    font-weight: normal;
    margin: 0px;
    font-size: 2.5rem;
}

h3 {
    font-family: "Raleway", Helvetica, sans-serif;
    font-weight: normal;
    margin: 0px;
    font-size: 1.8rem;
}

.body-text{
    font-family: "Raleway", Helvetica, sans-serif;
    font-weight: 400;
    font-size: 1.3rem;
}

.body-text-medium{
    font-size: 1.6rem;
}

.body-text-large{
    font-size: 1.6rem;
}

.nav{
    background-color: var(--dark-color);
    min-height: 60px;
    display: flex;
    justify-content: space-between;
    position: sticky;
    top: 0;
    -webkit-box-shadow: 0px 0px 6px 0px #00000050; 
    box-shadow: 0px 0px 6px 0px #00000050;
    z-index: 999999;
}

.nav-button-container{
    display: flex;
    flex-wrap: wrap;
}

.mobile-nav{
    display: none;
    background-color: var(--dark-color);
    position: sticky;
    top: 0;
    z-index: 9998;
}

.mobile-dimmer{
    pointer-events: none;
    background-color: rgba(0, 0, 0, 0.8);
    opacity: 0;
    position: fixed;
    top: 0;
    height: 100vh;
    width: 100vw;
    z-index: 9999;
    transition-duration: 300ms;
}

.dimmer-display{
    opacity: 1;
    pointer-events: all;
}

#mobile-hamburger{
    cursor: pointer
}

.mobile-menu{
    width: 250px;
    height: 100vh;
    overflow-y: scroll;
    background-color: var(--dark-color);
    display: flex;
    flex-direction: column;
    position: fixed;
    right: 0;
    top: 0;
    transform: translateX(100%);
    transition-duration: 300ms;
    z-index: 10000;
    border-left: 4px solid var(--dark-brown);
    align-items: center;
}

.mobile-nav-btn{
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 1.3rem;
}

.mobile-cta{
    margin-top: 40px;
}

.mobile-active{
    transform: translate(0%);
}

.nav-button{
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 15px;
    padding-bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    flex-wrap: wrap;
    position: relative;
}

.box-shadow{
    -webkit-box-shadow: 0px 0px 6px 0px #00000050; 
    box-shadow: 0px 0px 6px 0px #00000050;
}

.nav-button:hover{
    background-color: var(--alternate-bg);
    transition-duration: .2s;
}

.section{
    width: 100vw;
    padding-top: 60px;
    transition-duration: .2s;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.row{
    width: 80%;
    max-width: 1280px;
    display: flex;
    gap: 0px 4%;
}

.col {
    width: 33%;
}

.one-third {
    width: 33%;
}

.one-half {
    width: 50%;
    justify-content: flex-start;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.body-text-ultra{
    font-size: 2rem;
}

.two-thirds {
    width: 66%;
}

.col-topper{
    background-color: var(--dark-brown);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

.col-content{
    padding: 20px;
    box-sizing: border-box;
}

.button{
    background-color: var(--dark-color);
    padding: 20px 30px 20px 30px;
    font-size: 1.8rem;
    font-family: "Raleway", Helvetica, sans-serif;
    cursor: pointer;
    transition-duration: .2s;
    display: inline-block;
}

.button:hover{
    transform: scale(105%);
}

.space-small {
    width: 100%;
    height: 20px;
}

.space-medium {
    width: 100%;
    height: 40px;
}

.space-large {
    width: 100%;
    height: 60px;
}

.brown-bg{
    background-color: var(--brown-bg);
    -webkit-box-shadow: 0px 0px 6px 0px #00000050; 
    box-shadow: 0px 0px 6px 0px #00000050;
    backdrop-filter: blur(5px);
    border-radius: 12px;
    overflow: hidden;
}

.flex-column{
    flex-direction: column;
    gap: 40px;
}

.footer {
    background-color: var(--dark-color);
    padding: 20px 40px 20px 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.footer-left {
    display: flex;
    align-items: center;
    justify-self: flex-start;
    margin-right: auto;
    flex: 2;
}

.footer-middle{
    text-align: center;
    align-self: center;
    justify-self: center;
    flex: 1;
}

.footer-right{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-left: auto;
    flex: 2;
}

.footer-img {
    max-width: 120px;
}

.footer-title {
    font-size: 1.8rem;
    margin-left: 10px;
}

.white-button{
    background-color: var(--text-color);
    color: var(--dark-color);
    padding: 15px 30px 15px 30px;
    font-size: 1.8rem;
    font-family: "Raleway", Helvetica, sans-serif;
    cursor: pointer;
    transition-duration: .2s;
    display: inline-block;
}

.white-button:hover{
    transform: scale(105%);
}

.legal {
    background-color: var(--dark-brown);
    text-align: center;
    padding: 10px 40px;
}

#footer-button{
    margin-right: 20px;
}

.marg-bottom{
    margin-bottom: 20px;
}

.social-image{
    max-width: 70px;
    padding: 0px 0px 0px 30px;
    cursor: pointer;
}

.record-title{
    margin-bottom: 20px;
}

.record-left{
    width: 40%;
    height: 100%;
    background-image: url("/assets/home/IMG_0813.webp");
    background-position: center;
    object-fit: cover;
    height: auto;
}

.record-right{
    width: 60%;
    padding: 20px 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding-right: 10px;
}

.record-button{
    margin-top: 20px;
}

.hide-desktop{
    display: none;
}

@media screen and (max-width: 1000px) {

    h1 {
        font-size: 2.5rem;
    }

    body{
        background-attachment: initial;
    }

    .huge-text{
        font-size: 3rem;
    }

    .header-mobile{
        flex-direction: column;
    }

    .header{
        min-height: calc(100vh - 94.5px);
    }

    .one-third, .one-half, .two-thirds{
        width: 100%;
        margin-bottom: 40px;
    }

    .row{
        flex-direction: column;
    }

    .hide-mobile{
        display: none;
    }

    .button{
        font-size: 1.3rem;
    }

    .footer{
        padding: 40px;
    }

    .footer-content-wrapper{
        gap: 40px;
    }

    .flex-between{
        flex-direction: column;
        align-items: center;
    }

    .footer-left{
        flex-direction: column;
        margin-right: 0px;
        margin-left: 0px;
    }

    .footer-right{
        flex-direction: column-reverse;
        margin-right: 0px;
        margin-left: 0px;
        gap: 20px;
    }

    #footer-button{
        margin: 0px;
    }

    .body-text-medium{
        text-align: center;
        font-size: 1.3rem;
    }

    .row{
        width: 90%;
        max-width: 600px;
    }

    .section{
        padding-top: 0px;
    }

    .social-image{
        max-width: 50px;
        padding: 0px;
    }

    .social-images{
        gap: 10px;
        margin: 20px 0px 40px 0px;
    }

    .nav{
        display: none;
    }

    .mobile-nav{
        display: flex;
        padding: 10px 20px;
        align-items: center;
        justify-content: space-between;
    }

    .off-page-header{
        display: none;
    }

    .record-left{
        width: 100%;
        height: 350px;
        background-position: 0px 80px;
    }

    .record-right{
        width: 100%;
        align-items: center;
        text-align: center;
        box-sizing: border-box;
    }

    .reverse{
        flex-direction: column-reverse;
    }

    .hide-desktop{
        display: block;
    }

}
